import {
  AcademicCapIcon,
  AdjustmentsHorizontalIcon,
  AdjustmentsVerticalIcon,
  ArchiveBoxArrowDownIcon,
  ArchiveBoxIcon,
  ArchiveBoxXMarkIcon,
  ArrowDownCircleIcon,
  ArrowDownIcon,
  ArrowDownLeftIcon,
  ArrowDownOnSquareIcon,
  ArrowDownOnSquareStackIcon,
  ArrowDownRightIcon,
  ArrowDownTrayIcon,
  ArrowLeftCircleIcon,
  ArrowLeftEndOnRectangleIcon,
  ArrowLeftIcon,
  ArrowLeftOnRectangleIcon,
  ArrowLeftStartOnRectangleIcon,
  ArrowLongDownIcon,
  ArrowLongLeftIcon,
  ArrowLongRightIcon,
  ArrowLongUpIcon,
  ArrowPathIcon,
  ArrowPathRoundedSquareIcon,
  ArrowRightCircleIcon,
  ArrowRightEndOnRectangleIcon,
  ArrowRightIcon,
  ArrowRightOnRectangleIcon,
  ArrowRightStartOnRectangleIcon,
  ArrowSmallDownIcon,
  ArrowSmallLeftIcon,
  ArrowSmallRightIcon,
  ArrowSmallUpIcon,
  ArrowTopRightOnSquareIcon,
  ArrowTrendingDownIcon,
  ArrowTrendingUpIcon,
  ArrowUpCircleIcon,
  ArrowUpIcon,
  ArrowUpLeftIcon,
  ArrowUpOnSquareIcon,
  ArrowUpOnSquareStackIcon,
  ArrowUpRightIcon,
  ArrowUpTrayIcon,
  ArrowUturnDownIcon,
  ArrowUturnLeftIcon,
  ArrowUturnRightIcon,
  ArrowUturnUpIcon,
  ArrowsPointingInIcon,
  ArrowsPointingOutIcon,
  ArrowsRightLeftIcon,
  ArrowsUpDownIcon,
  AtSymbolIcon,
  BackspaceIcon,
  BackwardIcon,
  BanknotesIcon,
  Bars2Icon,
  Bars3BottomLeftIcon,
  Bars3BottomRightIcon,
  Bars3CenterLeftIcon,
  Bars3Icon,
  Bars4Icon,
  BarsArrowDownIcon,
  BarsArrowUpIcon,
  Battery0Icon,
  Battery100Icon,
  Battery50Icon,
  BeakerIcon,
  BellAlertIcon,
  BellIcon,
  BellSlashIcon,
  BellSnoozeIcon,
  BoltIcon,
  BoltSlashIcon,
  BookOpenIcon,
  BookmarkIcon,
  BookmarkSlashIcon,
  BookmarkSquareIcon,
  BriefcaseIcon,
  BugAntIcon,
  BuildingLibraryIcon,
  BuildingOffice2Icon,
  BuildingOfficeIcon,
  BuildingStorefrontIcon,
  CakeIcon,
  CalculatorIcon,
  CalendarDaysIcon,
  CalendarIcon,
  CameraIcon,
  ChartBarIcon,
  ChartBarSquareIcon,
  ChartPieIcon,
  ChatBubbleBottomCenterIcon,
  ChatBubbleBottomCenterTextIcon,
  ChatBubbleLeftEllipsisIcon,
  ChatBubbleLeftIcon,
  ChatBubbleLeftRightIcon,
  ChatBubbleOvalLeftEllipsisIcon,
  ChatBubbleOvalLeftIcon,
  CheckBadgeIcon,
  CheckCircleIcon,
  CheckIcon,
  ChevronDoubleDownIcon,
  ChevronDoubleLeftIcon,
  ChevronDoubleRightIcon,
  ChevronDoubleUpIcon,
  ChevronDownIcon,
  ChevronLeftIcon,
  ChevronRightIcon,
  ChevronUpDownIcon,
  ChevronUpIcon,
  CircleStackIcon,
  ClipboardDocumentCheckIcon,
  ClipboardDocumentIcon,
  ClipboardDocumentListIcon,
  ClipboardIcon,
  ClockIcon,
  CloudArrowDownIcon,
  CloudArrowUpIcon,
  CloudIcon,
  CodeBracketIcon,
  CodeBracketSquareIcon,
  Cog6ToothIcon,
  Cog8ToothIcon,
  CogIcon,
  CommandLineIcon,
  ComputerDesktopIcon,
  CpuChipIcon,
  CreditCardIcon,
  CubeIcon,
  CubeTransparentIcon,
  CurrencyBangladeshiIcon,
  CurrencyDollarIcon,
  CurrencyEuroIcon,
  CurrencyPoundIcon,
  CurrencyRupeeIcon,
  CurrencyYenIcon,
  CursorArrowRaysIcon,
  CursorArrowRippleIcon,
  DevicePhoneMobileIcon,
  DeviceTabletIcon,
  DocumentArrowDownIcon,
  DocumentArrowUpIcon,
  DocumentChartBarIcon,
  DocumentCheckIcon,
  DocumentDuplicateIcon,
  DocumentIcon,
  DocumentMagnifyingGlassIcon,
  DocumentMinusIcon,
  DocumentPlusIcon,
  DocumentTextIcon,
  EllipsisHorizontalCircleIcon,
  EllipsisHorizontalIcon,
  EllipsisVerticalIcon,
  EnvelopeIcon,
  EnvelopeOpenIcon,
  ExclamationCircleIcon,
  ExclamationTriangleIcon,
  EyeDropperIcon,
  EyeIcon,
  EyeSlashIcon,
  FaceFrownIcon,
  FaceSmileIcon,
  FilmIcon,
  FingerPrintIcon,
  FireIcon,
  FlagIcon,
  FolderArrowDownIcon,
  FolderIcon,
  FolderMinusIcon,
  FolderOpenIcon,
  FolderPlusIcon,
  ForwardIcon,
  FunnelIcon,
  GifIcon,
  GiftIcon,
  GiftTopIcon,
  GlobeAltIcon,
  GlobeAmericasIcon,
  GlobeAsiaAustraliaIcon,
  GlobeEuropeAfricaIcon,
  HandRaisedIcon,
  HandThumbDownIcon,
  HandThumbUpIcon,
  HashtagIcon,
  HeartIcon,
  HomeIcon,
  HomeModernIcon,
  IdentificationIcon,
  InboxArrowDownIcon,
  InboxIcon,
  InboxStackIcon,
  InformationCircleIcon,
  KeyIcon,
  LanguageIcon,
  LifebuoyIcon,
  LightBulbIcon,
  LinkIcon,
  ListBulletIcon,
  LockClosedIcon,
  LockOpenIcon,
  MagnifyingGlassCircleIcon,
  MagnifyingGlassIcon,
  MagnifyingGlassMinusIcon,
  MagnifyingGlassPlusIcon,
  MapIcon,
  MapPinIcon,
  MegaphoneIcon,
  MicrophoneIcon,
  MinusCircleIcon,
  MinusIcon,
  MinusSmallIcon,
  MoonIcon,
  MusicalNoteIcon,
  NewspaperIcon,
  NoSymbolIcon,
  PaintBrushIcon,
  PaperAirplaneIcon,
  PaperClipIcon,
  PauseCircleIcon,
  PauseIcon,
  PencilIcon,
  PencilSquareIcon,
  PhoneArrowDownLeftIcon,
  PhoneArrowUpRightIcon,
  PhoneIcon,
  PhoneXMarkIcon,
  PhotoIcon,
  PlayCircleIcon,
  PlayIcon,
  PlayPauseIcon,
  PlusCircleIcon,
  PlusIcon,
  PlusSmallIcon,
  PowerIcon,
  PresentationChartBarIcon,
  PresentationChartLineIcon,
  PrinterIcon,
  PuzzlePieceIcon,
  QrCodeIcon,
  QuestionMarkCircleIcon,
  QueueListIcon,
  RadioIcon,
  ReceiptPercentIcon,
  ReceiptRefundIcon,
  RectangleGroupIcon,
  RectangleStackIcon,
  RocketLaunchIcon,
  RssIcon,
  ScaleIcon,
  ScissorsIcon,
  ServerIcon,
  ServerStackIcon,
  ShareIcon,
  ShieldCheckIcon,
  ShieldExclamationIcon,
  ShoppingBagIcon,
  ShoppingCartIcon,
  SignalIcon,
  SignalSlashIcon,
  SparklesIcon,
  SpeakerWaveIcon,
  SpeakerXMarkIcon,
  Square2StackIcon,
  Square3Stack3DIcon,
  Squares2X2Icon,
  SquaresPlusIcon,
  StarIcon,
  StopCircleIcon,
  StopIcon,
  SunIcon,
  SwatchIcon,
  TableCellsIcon,
  TagIcon,
  TicketIcon,
  TrashIcon,
  TrophyIcon,
  TruckIcon,
  TvIcon,
  UserCircleIcon,
  UserGroupIcon,
  UserIcon,
  UserMinusIcon,
  UserPlusIcon,
  UsersIcon,
  VariableIcon,
  VideoCameraIcon,
  VideoCameraSlashIcon,
  ViewColumnsIcon,
  ViewfinderCircleIcon,
  WalletIcon,
  WifiIcon,
  WindowIcon,
  WrenchIcon,
  WrenchScrewdriverIcon,
  XCircleIcon,
  XMarkIcon,
} from "@heroicons/vue/24/solid";

const heroicons = (app) => {
  app.component("AcademicCapIcon", AcademicCapIcon);
  app.component("AdjustmentsHorizontalIcon", AdjustmentsHorizontalIcon);
  app.component("AdjustmentsVerticalIcon", AdjustmentsVerticalIcon);
  app.component("ArchiveBoxArrowDownIcon", ArchiveBoxArrowDownIcon);
  app.component("ArchiveBoxIcon", ArchiveBoxIcon);
  app.component("ArchiveBoxXMarkIcon", ArchiveBoxXMarkIcon);
  app.component("ArrowDownCircleIcon", ArrowDownCircleIcon);
  app.component("ArrowDownIcon", ArrowDownIcon);
  app.component("ArrowDownLeftIcon", ArrowDownLeftIcon);
  app.component("ArrowDownOnSquareIcon", ArrowDownOnSquareIcon);
  app.component("ArrowDownOnSquareStackIcon", ArrowDownOnSquareStackIcon);
  app.component("ArrowDownRightIcon", ArrowDownRightIcon);
  app.component("ArrowDownTrayIcon", ArrowDownTrayIcon);
  app.component("ArrowLeftCircleIcon", ArrowLeftCircleIcon);
  app.component("ArrowLeftEndOnRectangleIcon", ArrowLeftEndOnRectangleIcon);
  app.component("ArrowLeftIcon", ArrowLeftIcon);
  app.component("ArrowLeftOnRectangleIcon", ArrowLeftOnRectangleIcon);
  app.component("ArrowLeftStartOnRectangleIcon", ArrowLeftStartOnRectangleIcon);
  app.component("ArrowLongDownIcon", ArrowLongDownIcon);
  app.component("ArrowLongLeftIcon", ArrowLongLeftIcon);
  app.component("ArrowLongRightIcon", ArrowLongRightIcon);
  app.component("ArrowLongUpIcon", ArrowLongUpIcon);
  app.component("ArrowPathIcon", ArrowPathIcon);
  app.component("ArrowPathRoundedSquareIcon", ArrowPathRoundedSquareIcon);
  app.component("ArrowRightCircleIcon", ArrowRightCircleIcon);
  app.component("ArrowRightEndOnRectangleIcon", ArrowRightEndOnRectangleIcon);
  app.component("ArrowRightIcon", ArrowRightIcon);
  app.component("ArrowRightOnRectangleIcon", ArrowRightOnRectangleIcon);
  app.component(
    "ArrowRightStartOnRectangleIcon",
    ArrowRightStartOnRectangleIcon,
  );
  app.component("ArrowSmallDownIcon", ArrowSmallDownIcon);
  app.component("ArrowSmallLeftIcon", ArrowSmallLeftIcon);
  app.component("ArrowSmallRightIcon", ArrowSmallRightIcon);
  app.component("ArrowSmallUpIcon", ArrowSmallUpIcon);
  app.component("ArrowTopRightOnSquareIcon", ArrowTopRightOnSquareIcon);
  app.component("ArrowTrendingDownIcon", ArrowTrendingDownIcon);
  app.component("ArrowTrendingUpIcon", ArrowTrendingUpIcon);
  app.component("ArrowUpCircleIcon", ArrowUpCircleIcon);
  app.component("ArrowUpIcon", ArrowUpIcon);
  app.component("ArrowUpLeftIcon", ArrowUpLeftIcon);
  app.component("ArrowUpOnSquareIcon", ArrowUpOnSquareIcon);
  app.component("ArrowUpOnSquareStackIcon", ArrowUpOnSquareStackIcon);
  app.component("ArrowUpRightIcon", ArrowUpRightIcon);
  app.component("ArrowUpTrayIcon", ArrowUpTrayIcon);
  app.component("ArrowUturnDownIcon", ArrowUturnDownIcon);
  app.component("ArrowUturnLeftIcon", ArrowUturnLeftIcon);
  app.component("ArrowUturnRightIcon", ArrowUturnRightIcon);
  app.component("ArrowUturnUpIcon", ArrowUturnUpIcon);
  app.component("ArrowsPointingInIcon", ArrowsPointingInIcon);
  app.component("ArrowsPointingOutIcon", ArrowsPointingOutIcon);
  app.component("ArrowsRightLeftIcon", ArrowsRightLeftIcon);
  app.component("ArrowsUpDownIcon", ArrowsUpDownIcon);
  app.component("AtSymbolIcon", AtSymbolIcon);
  app.component("BackspaceIcon", BackspaceIcon);
  app.component("BackwardIcon", BackwardIcon);
  app.component("BanknotesIcon", BanknotesIcon);
  app.component("Bars2Icon", Bars2Icon);
  app.component("Bars3BottomLeftIcon", Bars3BottomLeftIcon);
  app.component("Bars3BottomRightIcon", Bars3BottomRightIcon);
  app.component("Bars3CenterLeftIcon", Bars3CenterLeftIcon);
  app.component("Bars3Icon", Bars3Icon);
  app.component("Bars4Icon", Bars4Icon);
  app.component("BarsArrowDownIcon", BarsArrowDownIcon);
  app.component("BarsArrowUpIcon", BarsArrowUpIcon);
  app.component("Battery0Icon", Battery0Icon);
  app.component("Battery100Icon", Battery100Icon);
  app.component("Battery50Icon", Battery50Icon);
  app.component("BeakerIcon", BeakerIcon);
  app.component("BellAlertIcon", BellAlertIcon);
  app.component("BellIcon", BellIcon);
  app.component("BellSlashIcon", BellSlashIcon);
  app.component("BellSnoozeIcon", BellSnoozeIcon);
  app.component("BoltIcon", BoltIcon);
  app.component("BoltSlashIcon", BoltSlashIcon);
  app.component("BookOpenIcon", BookOpenIcon);
  app.component("BookmarkIcon", BookmarkIcon);
  app.component("BookmarkSlashIcon", BookmarkSlashIcon);
  app.component("BookmarkSquareIcon", BookmarkSquareIcon);
  app.component("BriefcaseIcon", BriefcaseIcon);
  app.component("BugAntIcon", BugAntIcon);
  app.component("BuildingLibraryIcon", BuildingLibraryIcon);
  app.component("BuildingOffice2Icon", BuildingOffice2Icon);
  app.component("BuildingOfficeIcon", BuildingOfficeIcon);
  app.component("BuildingStorefrontIcon", BuildingStorefrontIcon);
  app.component("CakeIcon", CakeIcon);
  app.component("CalculatorIcon", CalculatorIcon);
  app.component("CalendarDaysIcon", CalendarDaysIcon);
  app.component("CalendarIcon", CalendarIcon);
  app.component("CameraIcon", CameraIcon);
  app.component("ChartBarIcon", ChartBarIcon);
  app.component("ChartBarSquareIcon", ChartBarSquareIcon);
  app.component("ChartPieIcon", ChartPieIcon);
  app.component("ChatBubbleBottomCenterIcon", ChatBubbleBottomCenterIcon);
  app.component(
    "ChatBubbleBottomCenterTextIcon",
    ChatBubbleBottomCenterTextIcon,
  );
  app.component("ChatBubbleLeftEllipsisIcon", ChatBubbleLeftEllipsisIcon);
  app.component("ChatBubbleLeftIcon", ChatBubbleLeftIcon);
  app.component("ChatBubbleLeftRightIcon", ChatBubbleLeftRightIcon);
  app.component(
    "ChatBubbleOvalLeftEllipsisIcon",
    ChatBubbleOvalLeftEllipsisIcon,
  );
  app.component("ChatBubbleOvalLeftIcon", ChatBubbleOvalLeftIcon);
  app.component("CheckBadgeIcon", CheckBadgeIcon);
  app.component("CheckCircleIcon", CheckCircleIcon);
  app.component("CheckIcon", CheckIcon);
  app.component("ChevronDoubleDownIcon", ChevronDoubleDownIcon);
  app.component("ChevronDoubleLeftIcon", ChevronDoubleLeftIcon);
  app.component("ChevronDoubleRightIcon", ChevronDoubleRightIcon);
  app.component("ChevronDoubleUpIcon", ChevronDoubleUpIcon);
  app.component("ChevronDownIcon", ChevronDownIcon);
  app.component("ChevronLeftIcon", ChevronLeftIcon);
  app.component("ChevronRightIcon", ChevronRightIcon);
  app.component("ChevronUpDownIcon", ChevronUpDownIcon);
  app.component("ChevronUpIcon", ChevronUpIcon);
  app.component("CircleStackIcon", CircleStackIcon);
  app.component("ClipboardDocumentCheckIcon", ClipboardDocumentCheckIcon);
  app.component("ClipboardDocumentIcon", ClipboardDocumentIcon);
  app.component("ClipboardDocumentListIcon", ClipboardDocumentListIcon);
  app.component("ClipboardIcon", ClipboardIcon);
  app.component("ClockIcon", ClockIcon);
  app.component("CloudArrowDownIcon", CloudArrowDownIcon);
  app.component("CloudArrowUpIcon", CloudArrowUpIcon);
  app.component("CloudIcon", CloudIcon);
  app.component("CodeBracketIcon", CodeBracketIcon);
  app.component("CodeBracketSquareIcon", CodeBracketSquareIcon);
  app.component("Cog6ToothIcon", Cog6ToothIcon);
  app.component("Cog8ToothIcon", Cog8ToothIcon);
  app.component("CogIcon", CogIcon);
  app.component("CommandLineIcon", CommandLineIcon);
  app.component("ComputerDesktopIcon", ComputerDesktopIcon);
  app.component("CpuChipIcon", CpuChipIcon);
  app.component("CreditCardIcon", CreditCardIcon);
  app.component("CubeIcon", CubeIcon);
  app.component("CubeTransparentIcon", CubeTransparentIcon);
  app.component("CurrencyBangladeshiIcon", CurrencyBangladeshiIcon);
  app.component("CurrencyDollarIcon", CurrencyDollarIcon);
  app.component("CurrencyEuroIcon", CurrencyEuroIcon);
  app.component("CurrencyPoundIcon", CurrencyPoundIcon);
  app.component("CurrencyRupeeIcon", CurrencyRupeeIcon);
  app.component("CurrencyYenIcon", CurrencyYenIcon);
  app.component("CursorArrowRaysIcon", CursorArrowRaysIcon);
  app.component("CursorArrowRippleIcon", CursorArrowRippleIcon);
  app.component("DevicePhoneMobileIcon", DevicePhoneMobileIcon);
  app.component("DeviceTabletIcon", DeviceTabletIcon);
  app.component("DocumentArrowDownIcon", DocumentArrowDownIcon);
  app.component("DocumentArrowUpIcon", DocumentArrowUpIcon);
  app.component("DocumentChartBarIcon", DocumentChartBarIcon);
  app.component("DocumentCheckIcon", DocumentCheckIcon);
  app.component("DocumentDuplicateIcon", DocumentDuplicateIcon);
  app.component("DocumentIcon", DocumentIcon);
  app.component("DocumentMagnifyingGlassIcon", DocumentMagnifyingGlassIcon);
  app.component("DocumentMinusIcon", DocumentMinusIcon);
  app.component("DocumentPlusIcon", DocumentPlusIcon);
  app.component("DocumentTextIcon", DocumentTextIcon);
  app.component("EllipsisHorizontalCircleIcon", EllipsisHorizontalCircleIcon);
  app.component("EllipsisHorizontalIcon", EllipsisHorizontalIcon);
  app.component("EllipsisVerticalIcon", EllipsisVerticalIcon);
  app.component("EnvelopeIcon", EnvelopeIcon);
  app.component("EnvelopeOpenIcon", EnvelopeOpenIcon);
  app.component("ExclamationCircleIcon", ExclamationCircleIcon);
  app.component("ExclamationTriangleIcon", ExclamationTriangleIcon);
  app.component("EyeDropperIcon", EyeDropperIcon);
  app.component("EyeIcon", EyeIcon);
  app.component("EyeSlashIcon", EyeSlashIcon);
  app.component("FaceFrownIcon", FaceFrownIcon);
  app.component("FaceSmileIcon", FaceSmileIcon);
  app.component("FilmIcon", FilmIcon);
  app.component("FingerPrintIcon", FingerPrintIcon);
  app.component("FireIcon", FireIcon);
  app.component("FlagIcon", FlagIcon);
  app.component("FolderArrowDownIcon", FolderArrowDownIcon);
  app.component("FolderIcon", FolderIcon);
  app.component("FolderMinusIcon", FolderMinusIcon);
  app.component("FolderOpenIcon", FolderOpenIcon);
  app.component("FolderPlusIcon", FolderPlusIcon);
  app.component("ForwardIcon", ForwardIcon);
  app.component("FunnelIcon", FunnelIcon);
  app.component("GifIcon", GifIcon);
  app.component("GiftIcon", GiftIcon);
  app.component("GiftTopIcon", GiftTopIcon);
  app.component("GlobeAltIcon", GlobeAltIcon);
  app.component("GlobeAmericasIcon", GlobeAmericasIcon);
  app.component("GlobeAsiaAustraliaIcon", GlobeAsiaAustraliaIcon);
  app.component("GlobeEuropeAfricaIcon", GlobeEuropeAfricaIcon);
  app.component("HandRaisedIcon", HandRaisedIcon);
  app.component("HandThumbDownIcon", HandThumbDownIcon);
  app.component("HandThumbUpIcon", HandThumbUpIcon);
  app.component("HashtagIcon", HashtagIcon);
  app.component("HeartIcon", HeartIcon);
  app.component("HomeIcon", HomeIcon);
  app.component("HomeModernIcon", HomeModernIcon);
  app.component("IdentificationIcon", IdentificationIcon);
  app.component("InboxArrowDownIcon", InboxArrowDownIcon);
  app.component("InboxIcon", InboxIcon);
  app.component("InboxStackIcon", InboxStackIcon);
  app.component("InformationCircleIcon", InformationCircleIcon);
  app.component("KeyIcon", KeyIcon);
  app.component("LanguageIcon", LanguageIcon);
  app.component("LifebuoyIcon", LifebuoyIcon);
  app.component("LightBulbIcon", LightBulbIcon);
  app.component("LinkIcon", LinkIcon);
  app.component("ListBulletIcon", ListBulletIcon);
  app.component("LockClosedIcon", LockClosedIcon);
  app.component("LockOpenIcon", LockOpenIcon);
  app.component("MagnifyingGlassCircleIcon", MagnifyingGlassCircleIcon);
  app.component("MagnifyingGlassIcon", MagnifyingGlassIcon);
  app.component("MagnifyingGlassMinusIcon", MagnifyingGlassMinusIcon);
  app.component("MagnifyingGlassPlusIcon", MagnifyingGlassPlusIcon);
  app.component("MapIcon", MapIcon);
  app.component("MapPinIcon", MapPinIcon);
  app.component("MegaphoneIcon", MegaphoneIcon);
  app.component("MicrophoneIcon", MicrophoneIcon);
  app.component("MinusCircleIcon", MinusCircleIcon);
  app.component("MinusIcon", MinusIcon);
  app.component("MinusSmallIcon", MinusSmallIcon);
  app.component("MoonIcon", MoonIcon);
  app.component("MusicalNoteIcon", MusicalNoteIcon);
  app.component("NewspaperIcon", NewspaperIcon);
  app.component("NoSymbolIcon", NoSymbolIcon);
  app.component("PaintBrushIcon", PaintBrushIcon);
  app.component("PaperAirplaneIcon", PaperAirplaneIcon);
  app.component("PaperClipIcon", PaperClipIcon);
  app.component("PauseCircleIcon", PauseCircleIcon);
  app.component("PauseIcon", PauseIcon);
  app.component("PencilIcon", PencilIcon);
  app.component("PencilSquareIcon", PencilSquareIcon);
  app.component("PhoneArrowDownLeftIcon", PhoneArrowDownLeftIcon);
  app.component("PhoneArrowUpRightIcon", PhoneArrowUpRightIcon);
  app.component("PhoneIcon", PhoneIcon);
  app.component("PhoneXMarkIcon", PhoneXMarkIcon);
  app.component("PhotoIcon", PhotoIcon);
  app.component("PlayCircleIcon", PlayCircleIcon);
  app.component("PlayIcon", PlayIcon);
  app.component("PlayPauseIcon", PlayPauseIcon);
  app.component("PlusCircleIcon", PlusCircleIcon);
  app.component("PlusIcon", PlusIcon);
  app.component("PlusSmallIcon", PlusSmallIcon);
  app.component("PowerIcon", PowerIcon);
  app.component("PresentationChartBarIcon", PresentationChartBarIcon);
  app.component("PresentationChartLineIcon", PresentationChartLineIcon);
  app.component("PrinterIcon", PrinterIcon);
  app.component("PuzzlePieceIcon", PuzzlePieceIcon);
  app.component("QrCodeIcon", QrCodeIcon);
  app.component("QuestionMarkCircleIcon", QuestionMarkCircleIcon);
  app.component("QueueListIcon", QueueListIcon);
  app.component("RadioIcon", RadioIcon);
  app.component("ReceiptPercentIcon", ReceiptPercentIcon);
  app.component("ReceiptRefundIcon", ReceiptRefundIcon);
  app.component("RectangleGroupIcon", RectangleGroupIcon);
  app.component("RectangleStackIcon", RectangleStackIcon);
  app.component("RocketLaunchIcon", RocketLaunchIcon);
  app.component("RssIcon", RssIcon);
  app.component("ScaleIcon", ScaleIcon);
  app.component("ScissorsIcon", ScissorsIcon);
  app.component("ServerIcon", ServerIcon);
  app.component("ServerStackIcon", ServerStackIcon);
  app.component("ShareIcon", ShareIcon);
  app.component("ShieldCheckIcon", ShieldCheckIcon);
  app.component("ShieldExclamationIcon", ShieldExclamationIcon);
  app.component("ShoppingBagIcon", ShoppingBagIcon);
  app.component("ShoppingCartIcon", ShoppingCartIcon);
  app.component("SignalIcon", SignalIcon);
  app.component("SignalSlashIcon", SignalSlashIcon);
  app.component("SparklesIcon", SparklesIcon);
  app.component("SpeakerWaveIcon", SpeakerWaveIcon);
  app.component("SpeakerXMarkIcon", SpeakerXMarkIcon);
  app.component("Square2StackIcon", Square2StackIcon);
  app.component("Square3Stack3DIcon", Square3Stack3DIcon);
  app.component("Squares2X2Icon", Squares2X2Icon);
  app.component("SquaresPlusIcon", SquaresPlusIcon);
  app.component("StarIcon", StarIcon);
  app.component("StopCircleIcon", StopCircleIcon);
  app.component("StopIcon", StopIcon);
  app.component("SunIcon", SunIcon);
  app.component("SwatchIcon", SwatchIcon);
  app.component("TableCellsIcon", TableCellsIcon);
  app.component("TagIcon", TagIcon);
  app.component("TicketIcon", TicketIcon);
  app.component("TrashIcon", TrashIcon);
  app.component("TrophyIcon", TrophyIcon);
  app.component("TruckIcon", TruckIcon);
  app.component("TvIcon", TvIcon);
  app.component("UserCircleIcon", UserCircleIcon);
  app.component("UserGroupIcon", UserGroupIcon);
  app.component("UserIcon", UserIcon);
  app.component("UserMinusIcon", UserMinusIcon);
  app.component("UserPlusIcon", UserPlusIcon);
  app.component("UsersIcon", UsersIcon);
  app.component("VariableIcon", VariableIcon);
  app.component("VideoCameraIcon", VideoCameraIcon);
  app.component("VideoCameraSlashIcon", VideoCameraSlashIcon);
  app.component("ViewColumnsIcon", ViewColumnsIcon);
  app.component("ViewfinderCircleIcon", ViewfinderCircleIcon);
  app.component("WalletIcon", WalletIcon);
  app.component("WifiIcon", WifiIcon);
  app.component("WindowIcon", WindowIcon);
  app.component("WrenchIcon", WrenchIcon);
  app.component("WrenchScrewdriverIcon", WrenchScrewdriverIcon);
  app.component("XCircleIcon", XCircleIcon);
  app.component("XMarkIcon", XMarkIcon);

  return app;
};

export default heroicons;
